migrating from 4.8.8 to 4.9

Aug 13, 2014 at 3:25 PM
Did anyone have problem with this? I have a small application that worked fine on 4.8.8. Since 4.9 got good features, I uninstalled 4.8.8 (which I installed full version not just Mapwingis-only), installed 4.9 (mapwingis-only version, as I couldn't find full version for this). Since then, my legend doesn't seem to work. I tried to add the mapwininterfaces.dll I had before but I culdnt register and visual studio is not letting me add that control on my form (although it recognizes it and adds part of "toolbox"). Any ideas/advice?
Aug 13, 2014 at 4:18 PM
I tested 4.9 and reported the same non-Legend problem to Paul Meems. They are about to issue 4.9.2 maybe there its is solved.
Greetings Maurits(4.9 is mapwingis only right now).


2014-08-13 17:25 GMT+02:00 mr_sriramesh <[email removed]>:

From: mr_sriramesh

Did anyone have problem with this? I have a small application that worked fine on 4.8.8. Since 4.9 got good features, I uninstalled 4.8.8 (which I installed full version not just Mapwingis-only), installed 4.9 (mapwingis-only version, as I couldn't find full version for this). Since then, my legend doesn't seem to work. I tried to add the mapwininterfaces.dll I had before but I culdnt register and visual studio is not letting me add that control on my form (although it recognizes it and adds part of "toolbox"). Any ideas/advice?

Read the full discussion online.

To add a post to this discussion, reply to this email ([email removed])

To start a new discussion for this project, email [email removed]

You are receiving this email because you subscribed to this discussion on CodePlex. You can unsubscribe or change your settings on codePlex.com.

Please note: Images and attachments will be removed from emails. Any posts to this discussion will also be available online at codeplex.com


Aug 13, 2014 at 4:25 PM
Velsto, I was about to try install 4.9 on top of 4.8.8 and use legend from 4.8.8 and mapwin from 4.9. Do you think it is a bad idea and just wait for future release (I noticed there is no planned release coming up on the web page)?

If it is a bad idea, I probably have to go back to 4.8.8 and wait completely for 4.9.

Please advise. Thanks.
Aug 13, 2014 at 4:58 PM
I think it is better waiting with 4.9 untill the final release, it is still beta as far as I know.
Greetings Maurits


2014-08-13 18:25 GMT+02:00 mr_sriramesh <[email removed]>:

From: mr_sriramesh

Velsto, I was about to try install 4.9 on top of 4.8.8 and use legend from 4.8.8 and mapwin from 4.9. Do you think it is a bad idea and just wait for future release (I noticed there is no planned release coming up on the web page)?

If it is a bad idea, I probably have to go back to 4.8.8 and wait completely for 4.9.

Please advise. Thanks.

Read the full discussion online.

To add a post to this discussion, reply to this email ([email removed])

To start a new discussion for this project, email [email removed]

You are receiving this email because you subscribed to this discussion on CodePlex. You can unsubscribe or change your settings on codePlex.com.

Please note: Images and attachments will be removed from emails. Any posts to this discussion will also be available online at codeplex.com


Aug 13, 2014 at 5:01 PM
perfect. Thanks for your advise.
Aug 15, 2014 at 3:55 PM
BTW, dont think you can have 2 different version of MapWinGis installed at the same time

Ross
Coordinator
Aug 19, 2014 at 3:52 PM
Ross is right. MapWinGIS is an ActiveX control, meaning you can have only one version. Before installing a different version uninstall all other versions including MapWindow.

We have no plans for a MapWindow v4.9. We've moved to MapWindow v5, this version is still a long why from its first beta, though.

You can get the source code for MapWinInterfaces here: http://svn.mapwindow.org/svnroot/MapWindow4Dev/MapWinInterfaces/ and try to compile it yourself with MapWinGIS v4.9. You might need to update a few methods and properties, but it should work.

Let me know if this is working for you.

Paul
Aug 20, 2014 at 11:17 AM
Paul,

Is MapWinInterfaces part of any svn? This will ease the download and compile process. Thanks.
Coordinator
Aug 21, 2014 at 7:30 AM
Just above your post I answered your question:
You can get the source code for MapWinInterfaces here: http://svn.mapwindow.org/svnroot/MapWindow4Dev/MapWinInterfaces/ and try to compile it yourself with MapWinGIS v4.9. You might need to update a few methods and properties, but it should work.
Thanks,

Paul
Marked as answer by pmeems on 8/21/2014 at 12:36 AM
Sep 12, 2014 at 6:57 PM
Hi Paul

I tried to download MapWinInterfaces as you suggested just above but I get error messages with subversion and tortoisesvn :

Unexpected HTTP status 405 'Method Not Allowed' on
'/MapWindow4Dev/MapWinInterfaces'
Additional errors:
PROPFIND request on '/MapWindow4Dev/MapWinInterfaces' failed: 405 Method Not
Allowed

I'm not familiar with those tools, can anybody help ?

Thanks,

Olivier
Sep 21, 2014 at 4:10 PM
up, any answer please ?
Coordinator
Sep 29, 2014 at 12:52 PM
I assumed you are using TortoiseSVN to get the source code. Is that correct.
I have not seen the errors you mention before.
Can you try again and let me know if the problem still persists?
Sep 29, 2014 at 12:59 PM
Hi Paul,

I just tried again and it's better it starts to download but asks for username and password.
Sep 29, 2014 at 2:45 PM
Edited Sep 29, 2014 at 4:28 PM
olivier57 wrote:
Hi Paul,

I just tried again and it's better it starts to download but asks for username and password.
I tried again and was able to download small groups of files one at a time. Got messages like "authorization failed"